<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::svm_c_trainer&lt; K &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1svm__c__trainer.html">svm_c_trainer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1svm__c__trainer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::svm_c_trainer&lt; K &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:aad59fcb965105967c36a5aaac14406e1"><td class="memItemLeft" align="right" valign="top"><a id="aad59fcb965105967c36a5aaac14406e1"></a>
typedef K&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_type</b></td></tr>
<tr class="separator:aad59fcb965105967c36a5aaac14406e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca8dde4248fc5f56360cbb55b04e4aba"><td class="memItemLeft" align="right" valign="top"><a id="aca8dde4248fc5f56360cbb55b04e4aba"></a>
typedef kernel_type::scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:aca8dde4248fc5f56360cbb55b04e4aba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5a4b0611cc7d0f8cf0e1946cf35f7e1"><td class="memItemLeft" align="right" valign="top"><a id="aa5a4b0611cc7d0f8cf0e1946cf35f7e1"></a>
typedef kernel_type::sample_type&#160;</td><td class="memItemRight" valign="bottom"><b>sample_type</b></td></tr>
<tr class="separator:aa5a4b0611cc7d0f8cf0e1946cf35f7e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf7af0cbacc457e8e1efe5b34f15975a"><td class="memItemLeft" align="right" valign="top"><a id="acf7af0cbacc457e8e1efe5b34f15975a"></a>
typedef kernel_type::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:acf7af0cbacc457e8e1efe5b34f15975a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbc81fb9f513e3e371d30780a8936b7a"><td class="memItemLeft" align="right" valign="top"><a id="abbc81fb9f513e3e371d30780a8936b7a"></a>
typedef <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; kernel_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>trained_function_type</b></td></tr>
<tr class="separator:abbc81fb9f513e3e371d30780a8936b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a68e8a92129ea530fc53ce65dee949d26"><td class="memItemLeft" align="right" valign="top"><a id="a68e8a92129ea530fc53ce65dee949d26"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>svm_c_trainer</b> (const kernel_type &amp;kernel_, const scalar_type &amp;C_)</td></tr>
<tr class="separator:a68e8a92129ea530fc53ce65dee949d26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a0128abdd2b4f68a5fce03525345b19"><td class="memItemLeft" align="right" valign="top"><a id="a2a0128abdd2b4f68a5fce03525345b19"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_cache_size</b> (long cache_size_)</td></tr>
<tr class="separator:a2a0128abdd2b4f68a5fce03525345b19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14624bc15f7972984696219441d90179"><td class="memItemLeft" align="right" valign="top"><a id="a14624bc15f7972984696219441d90179"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>get_cache_size</b> () const</td></tr>
<tr class="separator:a14624bc15f7972984696219441d90179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada35c14cf4b5c8d84ad9b622097be9c7"><td class="memItemLeft" align="right" valign="top"><a id="ada35c14cf4b5c8d84ad9b622097be9c7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_epsilon</b> (scalar_type eps_)</td></tr>
<tr class="separator:ada35c14cf4b5c8d84ad9b622097be9c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a133acde91d4db319d90e96d40ec05736"><td class="memItemLeft" align="right" valign="top"><a id="a133acde91d4db319d90e96d40ec05736"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_epsilon</b> () const</td></tr>
<tr class="separator:a133acde91d4db319d90e96d40ec05736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d5bb071c90576f122fdf3bfdc26050d"><td class="memItemLeft" align="right" valign="top"><a id="a4d5bb071c90576f122fdf3bfdc26050d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_kernel</b> (const kernel_type &amp;k)</td></tr>
<tr class="separator:a4d5bb071c90576f122fdf3bfdc26050d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92be1c5d3c8befa7cd7b0245c771b470"><td class="memItemLeft" align="right" valign="top"><a id="a92be1c5d3c8befa7cd7b0245c771b470"></a>
const kernel_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_kernel</b> () const</td></tr>
<tr class="separator:a92be1c5d3c8befa7cd7b0245c771b470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39b679eb759084b9937477a84c18226b"><td class="memItemLeft" align="right" valign="top"><a id="a39b679eb759084b9937477a84c18226b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c</b> (scalar_type C)</td></tr>
<tr class="separator:a39b679eb759084b9937477a84c18226b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d167240fb2275d6c8698eb4013fed8"><td class="memItemLeft" align="right" valign="top"><a id="a91d167240fb2275d6c8698eb4013fed8"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_c_class1</b> () const</td></tr>
<tr class="separator:a91d167240fb2275d6c8698eb4013fed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70aa3e206e8776a4cb963c0b6516bf5b"><td class="memItemLeft" align="right" valign="top"><a id="a70aa3e206e8776a4cb963c0b6516bf5b"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_c_class2</b> () const</td></tr>
<tr class="separator:a70aa3e206e8776a4cb963c0b6516bf5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a156fbbd418b073dabdcdaea788af9806"><td class="memItemLeft" align="right" valign="top"><a id="a156fbbd418b073dabdcdaea788af9806"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c_class1</b> (scalar_type C)</td></tr>
<tr class="separator:a156fbbd418b073dabdcdaea788af9806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fb740b46bb8882a3d57d87d9831170c"><td class="memItemLeft" align="right" valign="top"><a id="a5fb740b46bb8882a3d57d87d9831170c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c_class2</b> (scalar_type C)</td></tr>
<tr class="separator:a5fb740b46bb8882a3d57d87d9831170c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94ef2048bd6d14dc67b6abc1e4bb0410"><td class="memTemplParams" colspan="2"><a id="a94ef2048bd6d14dc67b6abc1e4bb0410"></a>
template&lt;typename in_sample_vector_type , typename in_scalar_vector_type &gt; </td></tr>
<tr class="memitem:a94ef2048bd6d14dc67b6abc1e4bb0410"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; kernel_type &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>train</b> (const in_sample_vector_type &amp;x, const in_scalar_vector_type &amp;y) const</td></tr>
<tr class="separator:a94ef2048bd6d14dc67b6abc1e4bb0410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5fd5e7ff4ec3aeae724c003051f9048"><td class="memItemLeft" align="right" valign="top"><a id="af5fd5e7ff4ec3aeae724c003051f9048"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1svm__c__trainer.html">svm_c_trainer</a> &amp;item)</td></tr>
<tr class="separator:af5fd5e7ff4ec3aeae724c003051f9048"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab61f455ef0eb1e7104518cf9ac78504d"><td class="memTemplParams" colspan="2"><a id="ab61f455ef0eb1e7104518cf9ac78504d"></a>
template&lt;typename in_sample_vector_type , typename in_scalar_vector_type &gt; </td></tr>
<tr class="memitem:ab61f455ef0eb1e7104518cf9ac78504d"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; kernel_type &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>do_train</b> (const in_sample_vector_type &amp;x, const in_scalar_vector_type &amp;y) const</td></tr>
<tr class="separator:ab61f455ef0eb1e7104518cf9ac78504d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34b7d2c14479042f4420c909b4db5c51"><td class="memTemplParams" colspan="2"><a id="a34b7d2c14479042f4420c909b4db5c51"></a>
template&lt;typename scalar_vector_type , typename scalar_vector_type2 &gt; </td></tr>
<tr class="memitem:a34b7d2c14479042f4420c909b4db5c51"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>calculate_b</b> (const scalar_vector_type2 &amp;y, const scalar_vector_type &amp;alpha, const scalar_vector_type &amp;df, const scalar_type &amp;Cpos, const scalar_type &amp;Cneg, scalar_type &amp;b) const</td></tr>
<tr class="separator:a34b7d2c14479042f4420c909b4db5c51"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:addf8ca3199fa3b9eef44372a7d286b7d"><td class="memItemLeft" align="right" valign="top"><a id="addf8ca3199fa3b9eef44372a7d286b7d"></a>
kernel_type&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_function</b></td></tr>
<tr class="separator:addf8ca3199fa3b9eef44372a7d286b7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f1cf9f26d974cf8fb4d0ec828d8c423"><td class="memItemLeft" align="right" valign="top"><a id="a4f1cf9f26d974cf8fb4d0ec828d8c423"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>Cpos</b></td></tr>
<tr class="separator:a4f1cf9f26d974cf8fb4d0ec828d8c423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2eb21302ca2c09e560d98726f7ff793"><td class="memItemLeft" align="right" valign="top"><a id="ac2eb21302ca2c09e560d98726f7ff793"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>Cneg</b></td></tr>
<tr class="separator:ac2eb21302ca2c09e560d98726f7ff793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adff3e576b17e054a73e7ca357b18578f"><td class="memItemLeft" align="right" valign="top"><a id="adff3e576b17e054a73e7ca357b18578f"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>cache_size</b></td></tr>
<tr class="separator:adff3e576b17e054a73e7ca357b18578f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadef8289b432ec68a73b5cf1e4a95d4f"><td class="memItemLeft" align="right" valign="top"><a id="aadef8289b432ec68a73b5cf1e4a95d4f"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>eps</b></td></tr>
<tr class="separator:aadef8289b432ec68a73b5cf1e4a95d4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="svm__c__trainer_8h_source.html">svm_c_trainer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
